<div id="functions">

</div>
 <script type="module">
import { Tree } from "/js/Tree/Tree.js";
import { Module } from "/js/client.js";




//=========================================================
export class FunctionModule extends Module {
//=========================================================

    //-----------------------------------------------------
    constructor(client,id) {
    //-----------------------------------------------------
        super(client,null);
        this.id = id;


    }
    //-----------------------------------------------------
    update() {
    //-----------------------------------------------------
       var data=this.onRequest();
       console.log("send",data);
       this.parent.ask_json(data,this.onDo.bind(this));
        return false;
    }
    //-----------------------------------------------------
    onRequest() {
    //-----------------------------------------------------

        var data = {};
        data["action"]="data";
        return data;
    }
    //-----------------------------------------------------
    onDo(data) {
    //-----------------------------------------------------
       console.log("result",data.response);

   var string="<table>";
    for (const element of Object.keys(data.response)) {

          var elt=data.response[element];
          //console.log(elt);
          string += `<tr><td>${element}</td><td>${elt}</td></tr>`;

    }
    string += `</table>`;
    $("#"+this.id).html(string);
    }
    //-----------------------------------------------------

}
//=========================================================
var tree=new FunctionModule(document.app,"functions");
tree.update();
</script> 
